import { IKeyObjectValue } from "../../type";
declare class UserTypeClass {
    private _defaultParams;
    private _varipKeys;
    private _typeName;
    constructor(params: IKeyObjectValue, keys: string[], typeName: string);
    copy(typeObject: IKeyObjectValue): any;
    new(params?: IKeyObjectValue): IKeyObjectValue;
    private _createDynamicClass;
    static copy(typeObject: IKeyObjectValue): any;
}
export default UserTypeClass;
